# class KSycoca | More...
Internal Use Only
Definition | `#include <ksycoca.h>`
Inherits | DCOPObject (dcop) [public ], QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KSycoca ()
- virtual ~KSycoca ()
- QDataStream * findEntry (int offset, KSycocaType &type)
- QDataStream * findFactory ( KSycocaFactoryId id)
- QString kfsstnd_prefixes ()
- Q_UINT32 timeStamp ()
- void addFactory ( KSycocaFactory * )
- virtual bool isBuilding ()

#### Signals

- void databaseChanged ()

#### Public Static Methods

- static KSycoca * self ()
- static QString determineRelativePath ( const QString & _fullpath, const char *_resource )

#### Protected Methods

- KSycoca ( bool )
- bool checkVersion (bool abortOnError=true)
- bool openDatabase (bool openDummyIfNotFound=true)
- void closeDatabase ()

#### Protected Members

- KSycocaFactoryList *m_lstFactories
- QDataStream *m_str
- static KSycoca *_self
- bool bNoDatabase
- size_t m_sycoca_size
- const char *m_sycoca_mmap
- Q_UINT32 m_timeStamp

## Detailed Description

Read-only SYstem COnfiguration CAche

KSycoca ( bool ) | ### KSycoca

[protected]

Building database

KSycoca () | ### KSycoca

Read-only database

KSycoca * self () | ### self

[static]

Get or create the only instance of KSycoca (read-only)

~KSycoca () | ### ~KSycoca

[virtual]

QDataStream * findEntry (int offset, KSycocaType &type) | ### findEntry

This is how factories get a stream to an entry

QDataStream * findFactory ( KSycocaFactoryId id) | ### findFactory

QString kfsstnd_prefixes () | ### kfsstnd_prefixes

Q_UINT32 timeStamp () | ### timeStamp

The database contains all changes made _before_ this time and _might_ contain changes made after that.

void addFactory ( KSycocaFactory * ) | ### addFactory

bool isBuilding () | ### isBuilding

[virtual]

Returns: true if building (i.e. if a KBuildSycoca);

QString determineRelativePath ( const QString & _fullpath, const char *_resource ) | ### determineRelativePath

[static]

Determine relative path for a .desktop file from a full path and a resource name

void notifyDatabaseChanged () | ### notifyDatabaseChanged

[k_dcop]

internal function for receiving kded/kbuildsycoca's signal, when the sycoca file changes

void databaseChanged () | ### databaseChanged

[signal]

Connect to this to get notified when the database changes (Usually apps showing icons do a 'refresh' to take into account the new mimetypes)

bool checkVersion (bool abortOnError=true) | ### checkVersion

[protected]

bool openDatabase (bool openDummyIfNotFound=true) | ### openDatabase

[protected]

void closeDatabase () | ### closeDatabase

[protected]

KSycocaFactoryList * m_lstFactories | ### m_lstFactories

[protected]

QDataStream * m_str | ### m_str

[protected]

static KSycoca * _self | ### _self

[protected]

bool bNoDatabase | ### bNoDatabase

[protected]

size_t m_sycoca_size | ### m_sycoca_size

[protected]

const char * m_sycoca_mmap | ### m_sycoca_mmap

[protected]

Q_UINT32 m_timeStamp | ### m_timeStamp

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.